\exo{Transformée de Fourier Discrète}
Soit $n \in \N^*$ et on note $\zeta = e^{\frac{2i\pi}{n}}$.
On définit, pour tout polynôme $P$ à coefficients dans $\C$ :
\begin{equation*}
  \mathcal{F}_d(P) = \sum_{k=0}^{n-1}P(\zeta^k)X^k \text{ et } \overline{\mathcal{F}_d}(P) = \sum_{k=0}^{n-1}P(\zeta^{-k})X^k
\end{equation*}
 Montrer que si $\deg(P) \leq n-1$ alors $\overline{\mathcal{F}_d}[\mathcal{F}_d(P)] = nP$.






\ifwithcorrection \correction

\q On note $P = a_{n-1}X^{n-1} + \ldots + a_0$. Alors
\begin{align*}
  [\mathcal{F}_d(P)](\zeta^{-k}) &= \sum_{j=0}^{n-1}P(\zeta^j)\zeta^{-jk} \\
                                 &= \sum_{j=0}^{n-1}{\sum_{i=0}^{n-1}{a_i\zeta^{ij-jk}}} \\
                                 &= \sum_{i=0}^{n-1}{a_i\underbrace{\left[ \sum_{j=0}^{n-1}{(\zeta^{i-k})^j}\right]}_{= \delta_{i,k}n}}
\end{align*}
On a donc $[\mathcal{F}_d(P)](\zeta^{-k}) = n a_k$ d'où $\displaystyle  \overline{\mathcal{F}_d}[\mathcal{F}_d(P)] = \sum_{k=0}^{n-1}{na_k X^k} = nP$

\fi
